/*--------------------------------*- C++ -*----------------------------------*\
| =========                 |                                                 |
| \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox           |
|  \\    /   O peration     | Version:  dev                                   |
|   \\  /    A nd           | Web:      www.OpenFOAM.org                      |
|    \\/     M anipulation  |                                                 |
\*---------------------------------------------------------------------------*/
FoamFile
{
    version     2.0;
    format      ascii;
    class       dictionary;
    location    "system";
    object      controlDict;
}
// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

application     cavitatingFoam;

startFrom       latestTime;

startTime       0;

stopAt          endTime;

endTime         0.0002;

deltaT          1e-08;

writeControl    adjustableRunTime;

writeInterval   2e-05;

purgeWrite      0;

writeFormat     binary;

writePrecision  6;

writeCompression compressed;

timeFormat      general;

runTimeModifiable yes;

adjustTimeStep  on;

maxCo           0.5;

maxAcousticCo   50;

functions
{
    fieldAverage1
    {
        type            fieldAverage;
        functionObjectLibs ( "libfieldFunctionObjects.so" );
        enabled         false;
        outputControl   outputTime;
        fields
        (
            U
            {
                mean        on;
                prime2Mean  off;
                base        time;
            }

            p
            {
                mean        on;
                prime2Mean  off;
                base        time;
            }

            alpha.vapour
            {
                mean        on;
                prime2Mean  off;
                base        time;
            }
        );
    }
}


// ************************************************************************* //
